---------------------
PatchSet 4625 
Date: 2002/08/11 10:08:22
Author: rbcollins
Branch: esi
Tag: (none) 
Log:
remaining types updates

Members: 
	configure.in:1.61->1.61.2.1 
	doc/debug-sections.txt:1.5->1.5.2.1 
	doc/Programming-Guide/prog-guide.sgml:1.20->1.20.2.1 
	include/squid_types.h:1.4->1.4.2.1 

Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.61
retrieving revision 1.61.2.1
diff -u -r1.61 -r1.61.2.1
--- squid/configure.in	15 Jul 2002 21:30:21 -0000	1.61
+++ squid/configure.in	11 Aug 2002 10:08:22 -0000	1.61.2.1
@@ -3,7 +3,7 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.61 2002/07/15 21:30:21 squidadm Exp $
+dnl  $Id: configure.in,v 1.61.2.1 2002/08/11 10:08:22 rbcollins Exp $
 dnl
 dnl
 dnl
@@ -11,7 +11,7 @@
 AC_CONFIG_AUX_DIR(cfgaux)
 AM_INIT_AUTOMAKE(squid, 2.6-DEVEL)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.61 $)dnl
+AC_REVISION($Revision: 1.61.2.1 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -2119,7 +2119,7 @@
 else
 	AC_MSG_RESULT("no")
 	echo "Will use our own inet_ntoa()."
-	LIBOBJS="$LIBOBJS inet_ntoa.o"
+	AC_LIBOBJ([inet_ntoa])
 #	echo "WARNING: This looks bad, and probably prevents Squid from working."
 #	echo "         If you're on IRIX and using GCC 2.8, you probably need"
 #	echo "         to use the IRIX C compiler instead."
Index: squid/doc/debug-sections.txt
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/debug-sections.txt,v
retrieving revision 1.5
retrieving revision 1.5.2.1
diff -u -r1.5 -r1.5.2.1
--- squid/doc/debug-sections.txt	21 Jul 2002 21:48:03 -0000	1.5
+++ squid/doc/debug-sections.txt	11 Aug 2002 10:08:22 -0000	1.5.2.1
@@ -88,3 +88,7 @@
 section 82    External ACL
 section 83    SSL accelerator support
 section 84    Helper process maintenance
+section 85    Client side request management - after parsing, before caching
+section 86    ESI processing
+section 87    client side stream management
+section 88    Client side reply management - from store to stream
Index: squid/doc/Programming-Guide/prog-guide.sgml
===================================================================
RCS file: /cvsroot/squid-sf//squid/doc/Programming-Guide/prog-guide.sgml,v
retrieving revision 1.20
retrieving revision 1.20.2.1
diff -u -r1.20 -r1.20.2.1
--- squid/doc/Programming-Guide/prog-guide.sgml	19 Jun 2002 15:57:07 -0000	1.20
+++ squid/doc/Programming-Guide/prog-guide.sgml	11 Aug 2002 10:08:22 -0000	1.20.2.1
@@ -2,7 +2,7 @@
 <article>
 <title>Squid Programmers Guide</title>
 <author>Squid Developers</author>
-<date>$Id: prog-guide.sgml,v 1.20 2002/06/19 15:57:07 squidadm Exp $</date>
+<date>$Id: prog-guide.sgml,v 1.20.2.1 2002/08/11 10:08:22 rbcollins Exp $</date>
 
 <abstract>
 Squid is a WWW Cache application developed by the National Laboratory
@@ -64,6 +64,27 @@
 	structures and their members will be written in an italicized
 	font, such as <em/StoreEntry/.
 
+<sect>Coding Conventions
+
+<sect1>Infrastructure
+
+	<P>
+	Most custom types and tools are documented in the code or the relevant
+	portions of this manual. Some key points apply globally however.
+
+<sect2>Fixed width types
+	<P>
+	If you need to use specific width types - such as
+	a 16 bit unsigned integer, use one of the following types. To access
+	them simply include "config.h".
+        <enum>
+	<item>int16_t   - 16 bit signed.
+	<item>u_int16_t - 16 bit unsigned.
+	<item>int32t    - 32 bit signed.
+	<item>u_int32_t - 32 bit unsigned.
+	<item>int64_t   - 64 bit signed.
+	<item>u_int64_t - 64 bit unsigned.
+	</enum>
 
 <sect>Overview of Squid Components
 
Index: squid/include/squid_types.h
===================================================================
RCS file: /cvsroot/squid-sf//squid/include/squid_types.h,v
retrieving revision 1.4
retrieving revision 1.4.2.1
diff -u -r1.4 -r1.4.2.1
--- squid/include/squid_types.h	17 Jun 2002 21:02:48 -0000	1.4
+++ squid/include/squid_types.h	11 Aug 2002 10:08:23 -0000	1.4.2.1
@@ -56,6 +56,9 @@
 #include "autoconf.h"
 
 /* This should be in synch with what we have in acinclude.m4 */
+#if HAVE_SYS_TYPES_H
+#include <sys/types.h>
+#endif
 #if STDC_HEADERS
 #include <stdlib.h>
 #include <stddef.h>
@@ -63,9 +66,6 @@
 #if HAVE_INTTYPES_H
 #include <inttypes.h>
 #endif
-#if HAVE_SYS_TYPES_H
-#include <sys/types.h>
-#endif
 #if HAVE_SYS_BITYPES_H
 #include <sys/bitypes.h>
 #endif
